package pl.edu.pg.eti.kask.rpg.controller;

/**
 * Basic interface for all controllers preparing HTTP response.
 */
public interface SocketController {

    /**
     * @param uri requested URI
     * @return textual response which will be send back to the client
     */
    String prepareResponse(String uri);

    /**
     * @param uri requested URI
     * @return true if provided URI can be handled by this controller
     */
    boolean accepts(String uri);

}
